// Texture.h: interface for the CTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTURE_H__51D545AB_7FCA_426E_85F2_6708175B4CD1__INCLUDED_)
#define AFX_TEXTURE_H__51D545AB_7FCA_426E_85F2_6708175B4CD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Common\Unknown.h"

class CImage;

class CTexture : public CUnknown  
{
protected:
	unsigned int	m_nName;

public:
	CTexture();
	virtual ~CTexture();

	virtual void Destroy();
	virtual bool Create(LPSTR lpszName);

	virtual void Apply();

	virtual void Upload(CImage* lpImage);
};

#endif // !defined(AFX_TEXTURE_H__51D545AB_7FCA_426E_85F2_6708175B4CD1__INCLUDED_)
